## ros-rolling-moveit-ros-visualization 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_ros_visualization)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# definition needed for boost/math/constants/constants.hpp included by Ogre to compile
add_definitions(-DBOOST_MATH_DISABLE_FLOAT128)

find_package(ament_cmake REQUIRED)
find_package(class_loader REQUIRED)
find_package(geometric_shapes REQUIRED)
find_package(interactive_markers REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(moveit_msgs REQUIRED)
find_package(moveit_core REQUIRED)
find_package(octomap_msgs REQUIRED)
find_package(moveit_ros_planning_interface REQUIRED)
# TODO(JafarAbdi): Uncomment when porting each package
# find_package(moveit_ros_perception REQUIRED)
find_package(moveit_ros_robot_interaction REQUIRED)
find_package(moveit_ros_warehouse REQUIRED)
find_package(object_recognition_msgs REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rclpy REQUIRED)
find_package(rviz2 REQUIRED)
find_package(tf2_eigen REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(rviz_common REQUIRED)
find_package(rviz_default_plugins REQUIRED)
find_package(rviz_ogre_vendor REQUIRED)

# Finds Boost Components
include(ConfigExtras.cmake)

# Qt Stuff
find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
set(QT_LIBRARIES Qt5::Widgets)
macro(qt_wrap_ui)
  qt5_wrap_ui(${ARGN})
endmacro()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
add_definitions(-DQT_NO_KEYWORDS)

# catkin_install_python(PROGRAMS scripts/moveit_joy.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
# catkin_python_setup()

set(THIS_PACKAGE_LIBRARIES
  moveit_motion_planning_rviz_plugin
  moveit_motion_planning_rviz_plugin_core
  moveit_planning_scene_rviz_plugin
  moveit_planning_scene_rviz_plugin_core
  moveit_robot_state_rviz_plugin
  moveit_robot_state_rviz_plugin_core
  moveit_rviz_plugin_render_tools
  moveit_trajectory_rviz_plugin
  moveit_trajectory_rviz_plugin_core
)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  class_loader
  geometric_shapes
  interactive_markers
  moveit_ros_planning
  moveit_ros_planning_interface
  moveit_msgs
  moveit_core
  moveit_ros_warehouse
  octomap_msgs
  moveit_ros_robot_interaction
  object_recognition_msgs
  pluginlib
  rclcpp
  rclcpp_action
  rclpy
  rviz2
  tf2_eigen
  Eigen3
  rviz_ogre_vendor
  rviz_common
  rviz_default_plugins
)

include_directories(rviz_plugin_render_tools/include
                    robot_state_rviz_plugin/include
                    planning_scene_rviz_plugin/include
                    motion_planning_rviz_plugin/include
                    trajectory_rviz_plugin/include
)

add_subdirectory(rviz_plugin_render_tools)
add_subdirectory(robot_state_rviz_plugin)
add_subdirectory(planning_scene_rviz_plugin)
add_subdirectory(motion_planning_rviz_plugin)
add_subdirectory(trajectory_rviz_plugin)

install(DIRECTORY icons DESTINATION share/${PROJECT_NAME})

pluginlib_export_plugin_description_file(rviz_common motion_planning_rviz_plugin_description.xml)
pluginlib_export_plugin_description_file(rviz_common trajectory_rviz_plugin_description.xml)
pluginlib_export_plugin_description_file(rviz_common planning_scene_rviz_plugin_description.xml)
pluginlib_export_plugin_description_file(rviz_common robot_state_rviz_plugin_description.xml)

#if (CATKIN_ENABLE_TESTING)
#  find_package(rostest REQUIRED)
#  add_rostest(test/moveit_joy.test)
#endif()

install(
  TARGETS ${THIS_PACKAGE_LIBRARIES}
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cppcheck_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

include_directories("${OGRE_PREFIX_DIR}/include")

=== planning_scene_rviz_plugin/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_planning_scene_rviz_plugin)

add_library(${MOVEIT_LIB_NAME}_core SHARED
  src/planning_scene_display.cpp
  src/background_processing.cpp
  include/moveit/planning_scene_rviz_plugin/planning_scene_display.h)
include(GenerateExportHeader)
generate_export_header(${MOVEIT_LIB_NAME}_core)
target_include_directories(${MOVEIT_LIB_NAME}_core PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}_core moveit_rviz_plugin_render_tools)
ament_target_dependencies(${MOVEIT_LIB_NAME}_core
    rclcpp
    rviz2
    moveit_ros_planning_interface
    moveit_ros_planning
    moveit_msgs
    pluginlib
    Boost
    rviz_ogre_vendor
)
target_include_directories(${MOVEIT_LIB_NAME}_core PRIVATE "${OGRE_PREFIX_DIR}/include")

add_library(${MOVEIT_LIB_NAME} SHARED src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core  Qt5::Widgets)
ament_target_dependencies(${MOVEIT_LIB_NAME}
    pluginlib
    rviz_ogre_vendor
)
target_include_directories(${MOVEIT_LIB_NAME} PRIVATE "${OGRE_PREFIX_DIR}/include")

install(DIRECTORY include/ DESTINATION include)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MOVEIT_LIB_NAME}_core_export.h DESTINATION include)

=== debian/changelog ===
ros-rolling-moveit-ros-visualization (2.4.0-1focal) focal; urgency=high

  * Move background_processing (#997 <https://github.com/ros-planning/moveit2/issues/997>)
  * Merge https://github.com/ros-planning/moveit/commit/f3ac6070497da90da33551fc1dc3a68938340413
  * Merge https://github.com/ros-planning/moveit/commit/a0ee2020c4a40d03a48044d71753ed23853a665d
  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * MPD: do not save/restore warehouse parameters (#2865 <https://github.com/ros-planning/moveit2/issues/2865>)
    If we reload these values from the config, setting the ROS parameters is much less useful.
    At least the *type* of warehouse_ros plugin (mongo or sqlite) cannot be selected
    in the display, so you will probably need to meddle with the parameters anyway if you want
    to connect to a different db.
    search for parameters warehouse_host/port because they are usually set at the top level, but
    you might want to set them differently for different move_groups.
  * PlanningSceneDisplay: always update the main scene node's pose (#2876 <https://github.com/ros-planning/moveit2/issues/2876>)
  * Contributors: Abishalini, Michael Görner, Robert Haschke, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-moveit-ros-visualization (2.3.2-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-moveit-ros-visualization (2.3.1-1focal) focal; urgency=high

  * Convert to modern include guard #882 <https://github.com/ros-planning/moveit2/issues/882> (#891 <https://github.com/ros-planning/moveit2/issues/891>)
  * Replaced C-Style Cast with C++ Style Cast. (#935 <https://github.com/ros-planning/moveit2/issues/935>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Latched Strings for URDF and SRDF (#765 <https://github.com/ros-planning/moveit2/issues/765>)
  * Consider simulated time (#883 <https://github.com/ros-planning/moveit2/issues/883>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Reduce log verbosity, improved info message (#714 <https://github.com/ros-planning/moveit2/issues/714>)
  * Fix Python2: convert keys() into list (#2862 <https://github.com/ros-planning/moveit/issues/2862>)
  * MP panel: fix order of input widgets for shape size (#2847 <https://github.com/ros-planning/moveit/issues/2847>)
  * Makes rviz trajectory visualization topic relative (#2835 <https://github.com/ros-planning/moveit/issues/2835>)
  * MotionPlanningFrame: Gracefully handle undefined parent widget (#2833 <https://github.com/ros-planning/moveit/issues/2833>)
  * more fixes for the clang-tidy job (#2813 <https://github.com/ros-planning/moveit/issues/2813>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Dave Coleman, David V. Lu!!, Felix von Drigalski, Gaël Écorchard, Henning Kayser, Kaustubh, Michael Görner, Parthasarathy Bana, Rick Staa, Robert Haschke, Sencer Yazıcı, Yuri Rocha, lorepieri8, predystopic-dev, pvanlaar

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 07:00:00 -0000

ros-rolling-moveit-ros-visualization (2.3.0-1focal) focal; urgency=high

  * Support passing MoveGroup's namespace to MoveGroupInterface (#533 <https://github.com/ros-planning/moveit2/issues/533>)
  * Add getSharedRobotModelLoader to fix race condition when having multiple displays for the same node (#525 <https://github.com/ros-planning/moveit2/issues/525>)
  * Make TF buffer & listener in PSM private (#654 <https://github.com/ros-planning/moveit2/issues/654>)
    * Add private buffer & tf listener to PSM
    * Remove coupled deleter
    * Decouple PSM from CSM
    * Deprecate old constructors
  * mesh_shape: Fix resource group for meshes (#672 <https://github.com/ros-planning/moveit2/issues/672>)
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Add option to disable Octomap in Rviz Rendering Tools (#606 <https://github.com/ros-planning/moveit2/issues/606>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Support arbitrary realtime-factors in trajectory visualization (#2745 <https://github.com/ros-planning/moveit2/issues/2745>)
  * Fix joints tab
  * MP frame: Fix handling of mimic + passive joints
  * Switch order of manipulation and joints tab
  * Fix trajectory panel (#2737 <https://github.com/ros-planning/moveit2/issues/2737>)
    * TrajectoryPanel: Only set paused_ via pauseButton() to keep "Pause/Play" button in correct state
    * simplify code on the side
  * moveit_joy: RuntimeError: dictionary changed size during iteration (#2628 <https://github.com/ros-planning/moveit2/issues/2628>)
  * Contributors: AdamPettinger, Akash, Henning Kayser, Jafar Abdi, Michael Görner, Nisala Kalupahana, Jorge Nicho, Henning Kayser, Robert Haschke, Vatan Aksoy Tezer, Tyler Weaver, Lior Lustgarten

 -- Jon Binney <jon.binney@gmail.com>  Fri, 08 Oct 2021 06:00:00 -0000

ros-rolling-moveit-ros-visualization (2.2.1-1focal) focal; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Mon, 12 Jul 2021 06:00:00 -0000



=== debian/control ===
Source: ros-rolling-moveit-ros-visualization
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libogre-1.9-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-class-loader, ros-rolling-geometric-shapes, ros-rolling-interactive-markers, ros-rolling-moveit-common, ros-rolling-moveit-ros-planning-interface, ros-rolling-moveit-ros-robot-interaction, ros-rolling-moveit-ros-warehouse, ros-rolling-object-recognition-msgs, ros-rolling-pluginlib (>= 1.11.2), ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-rviz2, ros-rolling-tf2-eigen, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-moveit-ros-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-geometric-shapes, ros-rolling-interactive-markers, ros-rolling-moveit-ros-planning-interface, ros-rolling-moveit-ros-robot-interaction, ros-rolling-moveit-ros-warehouse, ros-rolling-object-recognition-msgs, ros-rolling-pluginlib (>= 1.11.2), ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-rviz2, ros-rolling-tf2-eigen, ros-rolling-ros-workspace
Description: Components of MoveIt that offer visualization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-moveit-ros-visualization//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-moveit-ros-visualization 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.10.2)
-project(moveit_ros_visualization)
+cmake_minimum_required(VERSION 3.22)
+project(moveit_ros_visualization LANGUAGES CXX)
 
 # Common cmake code applied to all moveit packages
 find_package(moveit_common REQUIRED)
@@ -47,9 +47,6 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 add_definitions(-DQT_NO_KEYWORDS)
-
-# catkin_install_python(PROGRAMS scripts/moveit_joy.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
-# catkin_python_setup()
 
 set(THIS_PACKAGE_LIBRARIES
   moveit_motion_planning_rviz_plugin
@@ -100,28 +97,23 @@
 add_subdirectory(motion_planning_rviz_plugin)
 add_subdirectory(trajectory_rviz_plugin)
 
-install(DIRECTORY icons DESTINATION share/${PROJECT_NAME})
+install(DIRECTORY icons DESTINATION share/moveit_ros_visualization)
 
 pluginlib_export_plugin_description_file(rviz_common motion_planning_rviz_plugin_description.xml)
 pluginlib_export_plugin_description_file(rviz_common trajectory_rviz_plugin_description.xml)
 pluginlib_export_plugin_description_file(rviz_common planning_scene_rviz_plugin_description.xml)
 pluginlib_export_plugin_description_file(rviz_common robot_state_rviz_plugin_description.xml)
 
-#if (CATKIN_ENABLE_TESTING)
-#  find_package(rostest REQUIRED)
-#  add_rostest(test/moveit_joy.test)
-#endif()
-
 install(
   TARGETS ${THIS_PACKAGE_LIBRARIES}
-  EXPORT export_${PROJECT_NAME}
+  EXPORT moveit_ros_visualizationTargets
   LIBRARY DESTINATION lib
   ARCHIVE DESTINATION lib
   RUNTIME DESTINATION bin
-  INCLUDES DESTINATION include
+  INCLUDES DESTINATION include/moveit_ros_visualization
 )
 
-ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
+ament_export_targets(moveit_ros_visualizationTargets HAS_LIBRARY_TARGET)
 ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
 
 if(BUILD_TESTING)
@@ -129,7 +121,6 @@
 
   # These don't pass yet, disable them for now
   set(ament_cmake_copyright_FOUND TRUE)
-  set(ament_cmake_cppcheck_FOUND TRUE)
   set(ament_cmake_cpplint_FOUND TRUE)
   set(ament_cmake_flake8_FOUND TRUE)
   set(ament_cmake_uncrustify_FOUND TRUE)

=== planning_scene_rviz_plugin/CMakeLists.txt ===
add_library(moveit_planning_scene_rviz_plugin_core SHARED
  src/planning_scene_display.cpp
  src/background_processing.cpp
  include/moveit/planning_scene_rviz_plugin/planning_scene_display.h)
include(GenerateExportHeader)
generate_export_header(moveit_planning_scene_rviz_plugin_core)
target_include_directories(moveit_planning_scene_rviz_plugin_core PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
set_target_properties(moveit_planning_scene_rviz_plugin_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(moveit_planning_scene_rviz_plugin_core moveit_rviz_plugin_render_tools)
ament_target_dependencies(moveit_planning_scene_rviz_plugin_core
    rclcpp
    rviz2
    moveit_ros_planning_interface
    moveit_ros_planning
    moveit_msgs
    pluginlib
    rviz_ogre_vendor
)
target_include_directories(moveit_planning_scene_rviz_plugin_core PRIVATE "${OGRE_PREFIX_DIR}/include")

add_library(moveit_planning_scene_rviz_plugin SHARED src/plugin_init.cpp)
set_target_properties(moveit_planning_scene_rviz_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(moveit_planning_scene_rviz_plugin moveit_planning_scene_rviz_plugin_core  Qt5::Widgets)
ament_target_dependencies(moveit_planning_scene_rviz_plugin
    pluginlib
    rviz_ogre_vendor
)
target_include_directories(moveit_planning_scene_rviz_plugin PRIVATE "${OGRE_PREFIX_DIR}/include")

install(DIRECTORY include/ DESTINATION include/moveit_ros_visualization)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/moveit_planning_scene_rviz_plugin_core_export.h DESTINATION include/moveit_ros_visualization)

=== robot_state_rviz_plugin/CMakeLists.txt ===
add_library(moveit_robot_state_rviz_plugin_core SHARED
  src/robot_state_display.cpp
  include/moveit/robot_state_rviz_plugin/robot_state_display.h)
set_target_properties(moveit_robot_state_rviz_plugin_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(moveit_robot_state_rviz_plugin_core
    moveit_rviz_plugin_render_tools
)
ament_target_dependencies(moveit_robot_state_rviz_plugin_core
    rclcpp
    rviz2
    moveit_ros_planning
    moveit_msgs
    pluginlib
    Boost
    rviz_ogre_vendor
)
target_include_directories(moveit_robot_state_rviz_plugin_core PRIVATE "${OGRE_PREFIX_DIR}/include")

add_library(moveit_robot_state_rviz_plugin SHARED src/plugin_init.cpp)
set_target_properties(moveit_robot_state_rviz_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(moveit_robot_state_rviz_plugin moveit_robot_state_rviz_plugin_core)
ament_target_dependencies(moveit_robot_state_rviz_plugin
    rclcpp
    pluginlib
    Boost
    rviz_ogre_vendor
)
target_include_directories(moveit_robot_state_rviz_plugin PRIVATE "${OGRE_PREFIX_DIR}/include")

install(DIRECTORY include/ DESTINATION include/moveit_ros_visualization)

=== rviz_plugin_render_tools/CMakeLists.txt ===
set(HEADERS
  include/moveit/rviz_plugin_render_tools/octomap_render.h
  include/moveit/rviz_plugin_render_tools/planning_link_updater.h
  include/moveit/rviz_plugin_render_tools/planning_scene_render.h
  include/moveit/rviz_plugin_render_tools/render_shapes.h
  include/moveit/rviz_plugin_render_tools/robot_state_visualization.h
  include/moveit/rviz_plugin_render_tools/trajectory_visualization.h
  include/moveit/rviz_plugin_render_tools/trajectory_panel.h
  include/ogre_helpers/mesh_shape.hpp
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(moveit_rviz_plugin_render_tools SHARED
  src/render_shapes.cpp
  src/robot_state_visualization.cpp
  src/planning_scene_render.cpp
  src/planning_link_updater.cpp
  src/octomap_render.cpp
  src/trajectory_visualization.cpp
  src/trajectory_panel.cpp
  src/mesh_shape.cpp
  ${HEADERS}
)
set_target_properties(moveit_rviz_plugin_render_tools PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(moveit_rviz_plugin_render_tools
    Qt5::Widgets
)

ament_target_dependencies(moveit_rviz_plugin_render_tools
    rclcpp
    moveit_core
    Boost
    octomap_msgs
    rviz_ogre_vendor
    rviz_common
    rviz_default_plugins
)
target_include_directories(moveit_rviz_plugin_render_tools PRIVATE "${OGRE_PREFIX_DIR}/include")

install(DIRECTORY include/ DESTINATION include/moveit_ros_visualization)

=== debian/changelog ===
ros-rolling-moveit-ros-visualization (2.8.0-2jammy) jammy; urgency=high

  * Remove boost from motion_planning_rviz_plugin (#2308 <https://github.com/ros-planning/moveit2/issues/2308>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@tuta.io>
  * Replaced numbers with SystemDefaultsQos() (#2271 <https://github.com/ros-planning/moveit2/issues/2271>)
  * fix for not having transparency in collision scenes on rviz. (#2242 <https://github.com/ros-planning/moveit2/issues/2242>)
    Co-authored-by: Alp Akgun <mailto:samialp.akgun@ocado.com>
  * Contributors: Sami Alperen Akgün, Shobuj Paul, Yang Lin

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-moveit-ros-visualization (2.7.4-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-moveit-ros-visualization (2.7.3-2jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-moveit-ros-visualization (2.7.2-2jammy) jammy; urgency=high

  * Readability: kinematic_state -> robot_state (#2078 <https://github.com/ros-planning/moveit2/issues/2078>)
  * Contributors: Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-moveit-ros-visualization (2.7.1-2jammy) jammy; urgency=high

  * Doxygen tag (#1955 <https://github.com/ros-planning/moveit2/issues/1955>)
    * Generate Doxygen Tag
    * Install tagfile in output directory
    * Fix problematic override for Doxygen linking
  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb, Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-moveit-ros-visualization (2.7.0-2jammy) jammy; urgency=high

  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Delete unported moveit_joy visualization demo (#1541 <https://github.com/ros-planning/moveit2/issues/1541>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Migrate to Ogre.h (#1764 <https://github.com/ros-planning/moveit2/issues/1764>)
    * Migrate to Ogre.h
    * Remove includ for OgreQuaternion.h, included in Ogre.h
  * Remove MOVEIT_LIB_NAME (#1751 <https://github.com/ros-planning/moveit2/issues/1751>)
    It's more readable and searchable if we just spell out the target
    name.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: AndyZe, Chris Thrasher, Christian Henkel, Cory Crean, Robert Haschke, Sameer Gupta, Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 28 Jan 2023 23:00:00 -0000

ros-rolling-moveit-ros-visualization (2.6.0-2jammy) jammy; urgency=high

  * Check valid interactive marker pointer before trying to update pose (#1581 <https://github.com/ros-planning/moveit2/issues/1581>)
  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Use pragma once as header include guard (#1525 <https://github.com/ros-planning/moveit2/issues/1525>)
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>)
  * Contributors: J. Javan, Robert Haschke, Sebastian Castro, Sebastian Jahr, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 09 Nov 2022 23:00:00 -0000

ros-rolling-moveit-ros-visualization (2.5.3-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-rolling-moveit-ros-visualization (2.5.2-2jammy) jammy; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/c88f6fb64e9057a4b9a8f6fafc01060e8c48a216
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * fix regression from #1331 <https://github.com/ros-planning/moveit2/issues/1331> (#1384 <https://github.com/ros-planning/moveit2/issues/1384>)
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)


=== debian/control ===
Source: ros-rolling-moveit-ros-visualization
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-class-loader, ros-rolling-geometric-shapes, ros-rolling-interactive-markers, ros-rolling-moveit-common, ros-rolling-moveit-ros-planning-interface, ros-rolling-moveit-ros-robot-interaction, ros-rolling-moveit-ros-warehouse, ros-rolling-object-recognition-msgs, ros-rolling-pluginlib (>= 1.11.2), ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-rviz2, ros-rolling-tf2-eigen, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-moveit-ros-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-geometric-shapes, ros-rolling-interactive-markers, ros-rolling-moveit-common, ros-rolling-moveit-ros-planning-interface, ros-rolling-moveit-ros-robot-interaction, ros-rolling-moveit-ros-warehouse, ros-rolling-object-recognition-msgs, ros-rolling-pluginlib (>= 1.11.2), ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-rviz2, ros-rolling-tf2-eigen, ros-rolling-ros-workspace
Description: Components of MoveIt that offer visualization

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
